-- keycardOS "bootloader", has no access to basalt
-- intended for checking for updates, and automatically updating basalt if it is missing
local utils = require("utils.lua")
local updater = require("updater.lua")
local ui = require("ui.lua")



KEYPADOS_VERSION = "3.0"

function Main()
    utils.MonPrint(0.5)
    updater.getBasalt()
    utils.MonPrint("keypadOS v" .. KEYPADOS_VERSION)
    utils.MonPrint(1)
    ui.InitUi()
end


return {
    Main
}

