-- Type coersion for lsp
---@generic T
---@param object any
---@return T
function Cast(object)
    return object
end


--- @type Monitor
local MONITOR = Cast(peripheral.find("monitor"))
local MONITOR_Y = 1
function MonPrint(text)
    MONITOR.setCursorPos(1,MONITOR_Y)
    MONITOR.write(text)
    MONITOR_Y = MONITOR_Y + 1
end

function MonReset(scale)
    MONITOR.clear()
    MONITOR.setTextScale(scale)
end

return {
    MonPrint,
    MonReset,
    Cast,
}
